#
# spec file for package eventstat
#
# Copyright (c) 2016, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           eventstat
Version:        0.03.02
Release:        2.5
Summary:        Kernel event states monitoring tool
License:        GPL-2.0+
Group:          System/Monitoring
Url:            http://kernel.ubuntu.com/~cking/eventstat/
Source:         http://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Eventstat periodically dumps out the current kernel event state.It keeps track
of current events and outputs the change in events on each output update.
The tool requires sudo to run since it needs to write to /proc/timer_stats to
start and stop the event monitoring. 

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/eventstat
%{_mandir}/man8/*

%changelog
* Sat Jul 30 2016 mardnh@gmx.de
- update to version 0.03.02
  * Makefile: bump version
  * debian/control: update Standards-Version to 3.9.8
* Thu Feb 18 2016 mardnh@gmx.de
- update to version 0.03.01
  * Makefile: bump version
  * Update manual to reflect -l -s mode on tty output
  * Show long or short command line info in tty output and not just in CSV
  * Add smart column resizing based on variable tty width
  * Add some small ncurses helpers for top only mode
  * Clean up -h info, make it 80 column friendly
  * Remove a few empty lines in source
  * Re-align global vars so there is less wasted padding
  * Make source 80 column friendly
  * es_printf: emit curses output if curses_init is true
  * Reformat overly long function declarations
  * Minor code improvement in set_timer_stat
  * check for failed sigaction on SIGWINCH
  * Improve error handling with some error message and clean up helpers
  * Call endwin() only in top mode
* Wed Nov 11 2015 mardnh@gmx.de
- initial package
